Uploaded image for project: 'Puppet Agent'
  1. Puppet Agent
  2. PA-1169

Upgrade handling for Hiera configuration files.

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: puppet-agent 5.0.0
    • Component/s: None
    • Labels:
      None
    • Template:
    • Epic Link:
    • Team:
      Agent
    • Story Points:
      3
    • Sprint:
      Agent 2017-06-14, Agent 2017-06-28
    • Release Notes:
      New Feature
    • Release Notes Summary:
      Hide
      Puppet Agent now ships with a default hiera.yaml using hiera version 5.

      See notes for PUP-7597
      Show
      Puppet Agent now ships with a default hiera.yaml using hiera version 5. See notes for PUP-7597
    • QA Risk Assessment:
      Manual

      Description

      This is a follow on from PA-1139 to implement appropriate handling for the Hiera configuration files during an upgrade.

      This is the recommendation that emerged for Puppet 5.0.0:

      a. New installs: Lay down the appropriate v5 hiera.yaml in $confdir and $environment:
      b. On upgrade:

      • If we detect a hiera.yaml in either $confdir or $environment, don’t install a new file in either location.
      • Don’t remove $hieradata.

      See notes for PUP-7597

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                john.oconnor John O'Connor
                QA Contact:
                Eric Delaney
              • Votes:
                0 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Zendesk Support